Functions | Variables

# cheat_func.h File Reference

Functions related to cheating. More...

`#include "cheat_type.h"`

Go to the source code of this file.

## Functions
void | ShowCheatWindow ()
| Open cheat window.
bool | CheatHasBeenUsed ()
| Return true if any cheat has been used, false otherwise.
## Variables
Cheats | _cheats
| All the cheats.

## Detailed Description

Functions related to cheating.

Definition in file cheat_func.h.

## Function Documentation

bool CheatHasBeenUsed | ( |  | ) |

Return true if any cheat has been used, false otherwise.

Returns:
  has a cheat been used?

Definition at line 28 of file cheat.cpp.

References Cheat::been_used.

Referenced by SaveHighScoreValue().

void ShowCheatWindow | ( |  | ) |

Open cheat window.

Definition at line 359 of file cheat_gui.cpp.

References _cheats_desc, DeleteWindowById(), and WC_CHEATS.

Referenced by MainToolbarWindow::OnKeyPress().

## Variable Documentation

Cheats _cheats

All the cheats.

Definition at line 16 of file cheat.cpp.